org.jfree.chart.annotations

## Interface CategoryAnnotation

All Superinterfaces:
  Annotation

All Known Implementing Classes:
  CategoryLineAnnotation, CategoryPointerAnnotation, CategoryTextAnnotation

    public interface CategoryAnnotation
    extends Annotation

The interface that must be supported by annotations that are to be added to a `CategoryPlot`.

### Method Summary

Methods
`void` `draw(java.awt.Graphics2D g2, CategoryPlot plot, java.awt.geom.Rectangle2D dataArea, CategoryAxis domainAxis, ValueAxis rangeAxis)` Draws the annotation.

### Methods inherited from interface org.jfree.chart.annotations.Annotation

`addChangeListener, removeChangeListener`

### Method Detail

#### draw

    void draw(java.awt.Graphics2D g2,
            CategoryPlot plot,
            java.awt.geom.Rectangle2D dataArea,
            CategoryAxis domainAxis,
            ValueAxis rangeAxis)

Draws the annotation.

Parameters:
  `g2` - the graphics device.
  `plot` - the plot.
  `dataArea` - the data area.
  `domainAxis` - the domain axis.
  `rangeAxis` - the range axis.